class RscActiveMenu : RscActiveText
{
	color[] = {1, 1, 1, 1};
	colorActive[] = {1, 0, 0, 1};
	font = FontTITLEHalf;
	sizeEx = 0.05;
	default = false;
	soundClick[] = {"ui\ui_ok", 0.2, 1};
};

class RscTextMenu : RscText
{
	colorText[] = {1, 1, 1, 0.8};
	font = FontHTML;
	sizeEx = 0.7 * 0.048;
	h = 0.13;
};

class Rsc3DActiveMenu
{
	type = CT_3DACTIVETEXT;
	style = 0;
	color[] = {1, 1, 1, 1};
	colorActive[] = {1, 0, 0, 1};
	font = FontTITLEHalf;
	angle = 0;
	default = false;

	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
};

class Rsc3DTextMenu
{
	type = CT_3DSTATIC;
	style = 0;
	color[] = {1, 1, 1, 0.8};
	font = FontHTML;
	angle = 0;
};

class RscObject
{
	type = CT_OBJECT;
	scale = 1.0;
	direction[] = {0, 0, 1};
	up[] = {0, 1, 0};
};

class RscObjNotebookText
{
	type = CT_3DSTATIC;
	style = ST_LEFT;
	idc = -1;
	color[] = {0, 1, 0, 1};
	font = FontHTML;
	angle = 0;
	selection = "display";
	h = 0.05;
};

class RscObjNotebookEdit
{
	type = CT_3DEDIT;
	style = ST_LEFT;
	colorText[] = {0, 1, 0, 1};
	colorSelection[] = {0, 1, 0, 0.4};
	font = FontHTML;
	size = 0.8;	// 3D size
	angle = 0;
	selection = "display";
	autocomplete="";
	h = 0.05;
	text = $STR_DISP_ERROR;
};

class RscObjNotebookButton
{
	type = CT_3DACTIVETEXT;
	style = ST_LEFT;
	color[] = {0, 1, 0, 0.5};
	colorActive[] = {0, 1, 0, 1};
	font = FontHTML;
	angle = 0;
	selection = "display";
	h = 0.05; 

	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};

	default = false;
};

class RscObjNotebookListBox
{
	type = CT_3DLISTBOX;
	style = 0;
	selection = "display";
	angle = 0;
	size = 0.8;	// 3D size
	colorSelect[] = {0, 1, 0, 1};
	colorSelectBackground[] = {0, 1, 0, 0.2};
	colorText[] = {0, 1, 0, 0.5};
	font = FontHTML;
};

class RscDisplayMain
{
	idd = IDD_MAIN;
	movingEnable = true;
	controlsBackground[]=
	{
		Background1, 
		Background2, 
		Background3
	};
	controls[]=
	{
		FP1, FP2, FP3,
		SJBmain,
		//CM4, CM1, CM2, CM3,
		//BIS1, BIS2,
		
		Continue,
		Player,

		Game,
		SingleMission,
		Multiplayer,
		
		Custom,
		Options,
		Quit,

		//Date,
		Version,
		AllMissions,
		Copy
	};

	class copy : RscText
	{
		style = ST_MULTI + ST_CENTER + ST_NO_RECT;
		lineSpacing = 1.0;
		text = AN SJB PRODUCTION BROUGHT TO YOU BY JACKAL326, HYBRID, AND AK -  2004 SJB. ALL RIGHTS RESERVED.;
		x = 0.03; y = 0.93; w = 0.9; h = 0.7;
		colorText[] = {0.81, 0, 0, 0.75};
		font = FontS;
		sizeEx = 0.016;
	};
		
	class FP1 : RscPicture
	{
		text = "\SJB_ModFiles\S.paa";
		colorText[]={0.81,0,0,0.75};
		x = 0.365; y = 0.01; w = 0.09; h = 0.1;
	};
	class FP2 : RscPicture
	{
		text = "\SJB_ModFiles\J.paa";
		colorText[]={0.81,0,0,0.75};
		x = 0.455; y = 0.01; w = 0.09; h = 0.1;
	};
	class FP3 : RscPicture
	{
		text = "\SJB_ModFiles\B.paa";
		colorText[]={0.81,0,0,0.75};
		x = 0.545; y = 0.01; w = 0.09; h = 0.1;
	};

	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};

	class SJBmain : RscPicture
	{
		text = "\SJB_ModFiles\Gail_BG_C.paa";
		x = 0.00; y = 0.00; w = 1; h = 1;
	};

	class Continue : RscActiveMenu
	{
		idc = IDC_MAIN_CONTINUE;
		x = 0.05;
		y = 0.155;
		w = 0.0;
		h = 0.0;
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_MAIN_CONTINUE;
	};
	class Player : RscActiveMenu
	{
		idc = IDC_MAIN_PLAYER;
		x = 0.02;
		y = 0.145;
		w = 0.5;
		h = 0.05;
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_ERROR;
	};
	class Game : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_GAME;
		x = 0.72;
		y = 0.145;
		w = 0.25;
		h = 0.05;
		text = CAMPAIGN;
	};
	class SingleMission : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_SINGLE;
		x = 0.72;
		y = 0.33;
		w = 0.52;
		h = 0.05;
		text = SINGLE PLAYER MODE;
		default = 1;
	};
	class Multiplayer : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_MULTIPLAYER;
		x = 0.72;
		y = 0.39;
		w = 0.52;
		h = 0.05;
		text = MULTIPLAYER MODE;
	};

	class Custom : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		style = ST_LEFT;
		idc = IDC_MAIN_EDITOR;
		x = 0.72;
		y = 0.48;
		w = 0.3;
		h = 0.05;
		text = EDITOR;
	};
	class Options : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_OPTIONS;
		style = ST_LEFT;
		x = 0.72;
		y = 0.54;
		w = 0.3;
		h = 0.05;
		text = OPTIONS MENU;
	};

	class Quit : RscActiveMenu
	{
		font = FontTITLE;
		idc = IDC_MAIN_QUIT;
		x = 0.72;
		y = 0.8;
		w = 0.20;
		h = 0.05;
		sizeEx = 0.6 * 0.098;
		text = EXIT OFP;
	};


	class Date : RscText
	{
		idc = IDC_MAIN_DATE;
		x = 0.4;
		y = 0.17;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.02;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class Version : RscText
	{
		idc = IDC_MAIN_VERSION;
		x = 0.4;
		y = 0.09;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.016;
		text = V3.26;
		colorText[] = {0.81, 0, 0, 0.75};
	};
	class AllMissions : RscActiveMenu
	{
		idc = IDC_MAIN_CUSTOM;
		x = 0.4;
		y = 0.935;
		w = 0.52;
		h = 0.03;
		font = FontTITLEHalf;
		sizeEx = 0.5 * 0.05;
		colorText[] = {1, 1, 1, 0.25};
		text = $STR_DISP_MAIN_DESIGN;
	};
};

class RscDisplayMainVBS1
{
	idd = IDD_MAIN;
	movingEnable = true;
	controlsBackground[]=
	{
		Background1, 
		Background2, 
		Background3
	};
	controls[]=
	{
		VBS1,
		
		Line1,
		Line2,

		Continue,
		Player,

		Game,
		SingleMission,
		Multiplayer,
		
		Custom,
		Options,
		Quit,

		//Date,
		Version,
		AllMissions,
		Copy
	};


	class copy : RscText
	{
		style = ST_MULTI + ST_CENTER + ST_NO_RECT;
		lineSpacing = 1.0;
		text = $STR_CREDITS23;
		x = 0.03; y = 0.93; w = 0.9; h = 0.7;
		colorText[] = {1, 1, 1, 0.5};
		font = FontS;
		sizeEx = 0.016;
	};
		
	class VBS1 : RscText
	{
		style = ST_CENTER;
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = "VBS1";
		font = FontTITLE;
		colorText[] = {1, 1, 1, 0.5};
		sizeEx = 0.6 * 0.098;
	};

	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Line1 : RscText
	{
		style = ST_LINE;
		//style = ST_WITH_RECT;
		x = 0.7;
		y = 0.125;
		w = 0;
		h = 0.75;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 1};
	};
	class Line2 : RscText
	{
		style = ST_LINE;
		x = 0.0;
		y = 0.46;
		w = 1;
		h = 0;
		text = ;
		colorBackground[] = {1, 1, 1, 1};
		color[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 1};
	};
	class Continue : RscActiveMenu
	{
		idc = IDC_MAIN_CONTINUE;
		x = 0.05;
		y = 0.155;
		w = 0.0;
		h = 0.0;
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_MAIN_CONTINUE;
	};
	class Player : RscActiveMenu
	{
		idc = IDC_MAIN_PLAYER;
		x = 0.02;
		y = 0.145;
		w = 0.5;
		h = 0.05;
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_ERROR;
	};
	class Game : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_GAME;
		x = 0.72;
		y = 0.145;
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_MAIN_GAME;
	};
	class SingleMission : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_SINGLE;
		x = 0.72;
		y = 0.33;
		w = 0.52;
		h = 0.05;
		text = $STR_DISP_MAIN_SINGLE;
		default = 1;
	};
	class Multiplayer : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_MULTIPLAYER;
		x = 0.72;
		y = 0.39;
		w = 0.52;
		h = 0.05;
		text = $STR_DISP_MAIN_MULTI;
	};

	class Custom : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_EDITOR;
		x = 0.38;
		y = 0.48;
		w = 0.3;
		h = 0.05;
		text = EDITOR;
	};
	class Options : RscActiveMenu
	{
		font = FontTITLE;
		sizeEx = 0.6 * 0.098;
		idc = IDC_MAIN_OPTIONS;
		x = 0.48;
		y = 0.54;
		w = 0.2;
		h = 0.05;
		text = OPTIONS MENU;
	};

	class Quit : RscActiveMenu
	{
		font = FontTITLE;
		idc = IDC_MAIN_QUIT;
		x = 0.72;
		y = 0.8;
		w = 0.20;
		h = 0.05;
		sizeEx = 0.6 * 0.098;
		text = $STR_DISP_MAIN_QUIT;
	};


	class Date : RscText
	{
		idc = IDC_MAIN_DATE;
		x = 0.4;
		y = 0.17;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.02;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class Version : RscText
	{
		idc = IDC_MAIN_VERSION;
		x = 0.4;
		y = 0.09;
		w = 0.2;
		h = 0.05;
		style = ST_CENTER;
		font = FontS;
		sizeEx = 0.016;
		text = $STR_DISP_ERROR;
		colorText[] = {1, 1, 1, 0.5};
	};
	class AllMissions : RscActiveMenu
	{
		idc = IDC_MAIN_CUSTOM;
		x = 0.4;
		y = 0.935;
		w = 0.52;
		h = 0.03;
		font = FontTITLEHalf;
		sizeEx = 0.5 * 0.05;
		colorText[] = {1, 1, 1, 0.25};
		text = $STR_DISP_MAIN_DESIGN;
	};
};

class RscDisplaySingleMission
{
	idd = IDD_SINGLE_MISSION;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	
	objects[]=
	{
		Notepad
	};
	class Notepad : RscObject
	{
		model = "blok_selmis2.p3d";
		idc = IDC_SINGLE_MISSION_PAD;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = false;
		animSpeed = 1;
		animation = "blok_mis.rtm"
		position[] = {0.20, 0.02, 1.2};
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		positionBack[] = {0.3, 0.10, 1.40};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		scale=2;
		controls[]={Missions, Overview};
		class Missions
		{
			idc = IDC_SINGLE_MISSION;
			type = CT_3DLISTBOX;
			style = 0;
			selection = "papir";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			rows = 9;
			size = 0.6;	// 3D size
			colorSelect[] = {0, 0, 0, 1};
			colorSelectBackground[] = {0, 0, 0, 0.2};
			colorText[] = {0.2, 0.2, 0.2, 1};
			font = FontHTML;
		};
		class Overview : RscHTML
		{
			idc = IDC_SINGLE_OVERVIEW;
			type = CT_3DHTML;
			selection = "papir2";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.30;	// 3D size
			filename =;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDifficulty,
		ButtonLoad,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_SINGLE_TITLE;
	};
	class ButtonDifficulty : RscActiveMenu
	{
		idc = IDC_SINGLE_DIFF;
		x = 0.05;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonLoad : RscActiveMenu
	{
		idc = IDC_SINGLE_LOAD;
		x = 0.4;
		y = 0.90;
		w = 0.3;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ERROR;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.7;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayOptions
{
	idd = IDD_OPTIONS;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_OPTIONS_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			Video,
			Audio,
			Configure,
			Difficulty
		};
		class Video : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_VIDEO;
			style = ST_CENTER;
			x = 0;
			y = 0.05;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_VIDEO;
// text = "ABC Ʈ   ġ ϰ  , ư     ִ. ,   ۾ Ȯϱ    ƿ ִ ̴.";
		};
		class Audio : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_AUDIO;
			style = ST_CENTER;
			x = 0;
			y = 0.30;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_AUDIO;
		};
		class Configure : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_CONFIGURE;
			style = ST_CENTER;
			x = 0;
			y = 0.55;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_CONFIGURE;
		};
		class Difficulty : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_DIFFICULTY;
			style = ST_CENTER;
			x = 0;
			y = 0.80;
			w = 1;
			h = 0.15;
			text = $STR_DISP_OPTIONS_DIFFICULTY;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCredits,
		ButtonClose
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_TITLE;
	};
	class ButtonCredits : RscActiveMenu
	{
		idc = IDC_OPTIONS_CREDITS;
		x = 0.05;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_MAIN_CREDITS;
	};
	class ButtonClose : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_CLOSE;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscOptionText : RscObjNotebookText
{
	style = ST_RIGHT;
	x = 0.5;
	w = 0.3;
};
class RscOptionValue : RscObjNotebookText
{
	style = ST_RIGHT;
	x = 0.8;
	w = 0.1;
	text = $STR_DISP_ERROR;
};
class RscOptionSlider
{
	type = CT_3DSLIDER;
	style = SL_HORZ;
	x = 0.1;
	w = 0.8;
	h = 0.05;
	color[] = {0, 1, 0, 1};
	angle = 0;
	selection = "display";
};

class RscDisplayOptionsVideo
{
	idd = IDD_OPTIONS_VIDEO;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextResolution,
			ValueResolution,
			TextRefresh,
			ValueRefresh,
			TextHWTL,
			ValueHWTL,
			TextMultitexturing,
			ValueMultitexturing,
			TextWBuffer,
			ValueWBuffer,
			TextObjectShadows,
			ValueObjectShadows,
			TextVehicleShadows,
			ValueVehicleShadows,
			TextCloudlets,
			ValueCloudlets,
			TextBlood,
			ValueBlood,
			TextBrightness,
			ValueBrightness,
			SliderBrightness,
			TextGamma,
			ValueGamma,
			SliderGamma,
			TextFrameRate,
			ValueFrameRate,
			SliderFrameRate,
			TextVisualQuality,
			ValueVisualQuality,
			SliderVisualQuality,
			TextVisibility,
			ValueVisibility,
			SliderVisibility,
			TextTerrain,
			ValueTerrain
		};

		class TextResolution : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.45;
			text = $STR_DISP_OPT_RESOLUTION;
		};
		class ValueResolution : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_RESOLUTION;
			x = 0.025;
			y = 0.083;
			w = 0.45;
			h = 0.20;
			rows = 4;
			size = 0.9;	// 3D size
		};
		class TextRefresh : RscObjNotebookText
		{
			x = 0.025;
			y = 0.283;
			w = 0.45;
			text = $STR_DISP_OPT_REFRESH;
		};
		class ValueRefresh : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_REFRESH;
			x = 0.025;
			y = 0.333;
			w = 0.45;
			h = 0.20;
			rows = 4.5;
			size = 0.9;	// 3D size
		};

		class TextHWTL : RscObjNotebookText
		{
			x = 0.025;
			y = 0.567;
			w = 0.30;
			text = $STR_DISP_OPT_HWTL;
		};
		class ValueHWTL : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_HWTL;
			x = 0.325;
			y = 0.567;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextMultitexturing : RscObjNotebookText
		{
			x = 0.025;
			y = 0.617;
			w = 0.30;
			text = $STR_DISP_OPT_MULTITEXTURING;
		};
		class ValueMultitexturing : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_MULTITEXTURING;
			x = 0.325;
			y = 0.617;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextWBuffer : RscObjNotebookText
		{
			x = 0.025;
			y = 0.667;
			w = 0.30;
			text = $STR_DISP_OPT_WBUFFER;
		};
		class ValueWBuffer : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_WBUFFER;
			x = 0.325;
			y = 0.667;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextObjectShadows : RscObjNotebookText
		{
			x = 0.025;
			y = 0.733;
			w = 0.30;
			text = $STR_DISP_OPT_OBJSHADOWS;
		};
		class ValueObjectShadows : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_OBJSHADOWS;
			x = 0.325;
			y = 0.733;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextVehicleShadows : RscObjNotebookText
		{
			x = 0.025;
			y = 0.783;
			w = 0.30;
			text = $STR_DISP_OPT_VEHSHADOWS;
		};
		class ValueVehicleShadows : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_VEHSHADOWS;
			x = 0.325;
			y = 0.783;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextCloudlets : RscObjNotebookText
		{
			x = 0.025;
			y = 0.833;
			w = 0.30;
			text = $STR_DISP_OPT_CLOUDLETS;
		};
		class ValueCloudlets : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_CLOUDLETS;
			x = 0.325;
			y = 0.833;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextBlood : RscObjNotebookText
		{
			idc = IDC_OPTIONS_BLOOD_TEXT;
			x = 0.025;
			y = 0.917;
			w = 0.30;
			text = $STR_DISP_OPT_BLOOD;
		};
		class ValueBlood : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_BLOOD;
			x = 0.325;
			y = 0.917;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextBrightness : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.033;
			text = $STR_DISP_OPT_BRIGHT;
		};
		class ValueBrightness : RscOptionValue
		{
			idc = IDC_OPTIONS_BRIGHT_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.033;
		};
		class SliderBrightness : RscOptionSlider
		{
			idc = IDC_OPTIONS_BRIGHT_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.083;
		};
		class TextGamma : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.173;
			text = $STR_DISP_OPT_GAMMA;
		};
		class ValueGamma : RscOptionValue
		{
			idc = IDC_OPTIONS_GAMMA_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.173;
		};
		class SliderGamma : RscOptionSlider
		{
			idc = IDC_OPTIONS_GAMMA_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.223;
		};
		class TextFrameRate : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.313;
			text = $STR_DISP_OPT_FRAMERATE;
		};
		class ValueFrameRate : RscOptionValue
		{
			idc = IDC_OPTIONS_RATE_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.313;
		};
		class SliderFrameRate : RscOptionSlider
		{
			idc = IDC_OPTIONS_RATE_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.363;
		};
		class TextVisualQuality : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.453;
			text = $STR_DISP_OPT_QUALITY;
		};
		class ValueVisualQuality : RscOptionValue
		{
			idc = IDC_OPTIONS_QUALITY_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.453;
		};
		class SliderVisualQuality : RscOptionSlider
		{
			idc = IDC_OPTIONS_QUALITY_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.503;
		};
		class TextVisibility : RscOptionText
		{
			x = 0.525;
			w = 0.3;
			y = 0.593;
			text = $STR_DISP_OPT_VISIBILITY;
		};
		class ValueVisibility : RscOptionValue
		{
			idc = IDC_OPTIONS_VISIBILITY_VALUE;
			x = 0.825;
			w = 0.10;
			y = 0.593;
		};
		class SliderVisibility : RscOptionSlider
		{
			idc = IDC_OPTIONS_VISIBILITY_SLIDER;
			x = 0.525;
			w = 0.45;
			y = 0.643;
		};

		class TextTerrain : RscObjNotebookText
		{
			x = 0.525;
			y = 0.717;
			w = 0.45;
			text = $STR_DISP_OPT_TERRAIN;
		};
		class ValueTerrain : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_TERRAIN;
			x = 0.525;
			y = 0.767;
			w = 0.45;
			h = 0.20;
			rows = 4;
			size = 0.9;	// 3D size
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_VIDEO;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.09;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = 0.90;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayOptionsAudio
{
	idd = IDD_OPTIONS_AUDIO;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextMusic,
			ValueMusic,
			SliderMusic,
			TextEffects,
			ValueEffects,
			SliderEffects,
			TextVoices,
			ValueVoices,
			SliderVoices,
/*
			TextSampling,
			ValueSampling,
*/
			TextHWAcc,
			ValueHWAcc,
			TextEAX,
			ValueEAX,
			TextSingleVoice,
			ValueSingleVoice
		};

		class TextEffects : RscOptionText
		{
			y = 0.1;
			text = $STR_DISP_OPT_EFFECTS;
		};

		class ValueEffects : RscOptionValue
		{
			idc = IDC_OPTIONS_EFFECTS_VALUE;
			y = 0.1;
		};
		class SliderEffects : RscOptionSlider
		{
			idc = IDC_OPTIONS_EFFECTS_SLIDER;
			y = 0.15;
		};

		class TextVoices : RscOptionText
		{
			y = 0.22;
			text = $STR_DISP_OPT_VOICES;
		};
		class ValueVoices : RscOptionValue
		{
			idc = IDC_OPTIONS_VOICES_VALUE;
			y = 0.22;
		};
		class SliderVoices : RscOptionSlider
		{
			idc = IDC_OPTIONS_VOICES_SLIDER;
			y = 0.27;
		};

		class TextMusic : RscOptionText
		{
			y = 0.34;
			text = $STR_DISP_OPT_MUSIC;
		};
		class ValueMusic : RscOptionValue
		{
			idc = IDC_OPTIONS_MUSIC_VALUE;
			y = 0.34;
		};
		class SliderMusic : RscOptionSlider
		{
			idc = IDC_OPTIONS_MUSIC_SLIDER;
			y = 0.39;
		};
/*
		class TextSampling : RscObjNotebookText
		{
			x = 0.025;
			y = 0.48;
			w = 0.45;
			text = $STR_DISP_OPT_SAMPLING;
		};
		class ValueSampling : RscObjNotebookListBox
		{
			idc = IDC_OPTIONS_SAMPLING;
			x = 0.025;
			y = 0.53;
			w = 0.45;
			h = 0.25;
			rows = 4.5;
			size = 0.9;	// 3D size
		};
*/

		class TextHWAcc : RscObjNotebookText
		{
			x = 0.22;
			y = 0.55;
			w = 0.40;
			text = $STR_DISP_OPT_HWACC;
		};
		class ValueHWAcc : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_HWACC;
			x = 0.62;
			y = 0.55;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextEAX : RscObjNotebookText
		{
			x = 0.22;
			y = 0.60;
			w = 0.40;
			text = $STR_DISP_OPT_EAX;
		};
		class ValueEAX : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_EAX;
			x = 0.62;
			y = 0.60;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
		class TextSingleVoice : RscObjNotebookText
		{
			x = 0.22;
			y = 0.65;
			w = 0.40;
			text = $STR_DISP_OPT_SINGLE_VOICE;
		};
		class ValueSingleVoice : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_SINGLE_VOICE;
			x = 0.62;
			y = 0.65;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_AUDIO;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.09;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayDifficulty
{
	idd = IDD_DIFFICULTY;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextName,
			TextCadet,
			TextVeteran,
			ValueDifficulties,
			EnableSubtitles,
			EnableRadio
		};

		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = /*0.95 */ 0.95 * 0.6;
			text = $STR_DISP_DIFF_NAME;
		};
		class TextCadet : RscObjNotebookText
		{
			x = 0.025 + /*0.95 */ 0.95 * 0.6;
			y = 0.033;
			w = /*0.95 */ 0.95 * 0.2;
			text = $STR_DISP_DIFF_CADET;
		};
		class TextVeteran : RscObjNotebookText
		{
			x = 0.025 + /*0.95 */ 0.95 * 0.8;
			y = 0.033;
			w = /*0.95 */ 0.95 * 0.2;
			text = $STR_DISP_DIFF_VETERAN;
		};
		class ValueDifficulties : RscObjNotebookListBox
		{
			idc = IDC_DIFFICULTIES_DIFFICULTIES;
			x = 0.025;
			y = 0.1;
			w = 0.95;
			h = 0.767;
			rows = 0.767 / 0.05;
			size = 0.9;	// 3D size
		};
		class EnableSubtitles : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_SUBTITLES;
			style = ST_CENTER;
			x = 0.1;
			y = 0.917;
			w = 0.4;
			text = $STR_DISP_ERROR;
		};
		class EnableRadio : RscObjNotebookButton
		{
			idc = IDC_OPTIONS_RADIO;
			style = ST_CENTER;
			x = 0.5;
			y = 0.917;
			w = 0.4;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDefault,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_DIFFICULTY;
	};
	class ButtonDefault : RscActiveMenu
	{
		idc = IDC_DIFFICULTIES_DEFAULT;
		x = 0.05;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_DEFAULT;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = 0.90;
		w = 0.09;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayConfigure
{
	idd = IDD_CONFIGURE;
	movingEnable = true;
	controlsBackground[]=
	{
		Background4,
		Background5
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.15, 0.3};
		direction[] = {sin 5, sin 20 * cos 5, cos 20 * cos 5};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextName,
			TextKeys,
			ValueKeys,
			TextReserved,
			TextMouseSens,
			TextXAxis,
			ValueXAxis,
			TextYAxis,
			ValueYAxis,
			ValueYReversed,
			TextButtons,
			ValueButtons,
			ValueJoystick
		};
		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.95 * 0.95 * 0.4;
			text = $STR_DISP_CONF_NAME;
		};
		class TextKeys : RscObjNotebookText
		{
			x = 0.025 + 0.95 * 0.95 * 0.4;
			y = 0.033;
			w = 0.95 * 0.95 * 0.6;
			text = $STR_DISP_CONF_KEYS;
		};
		class ValueKeys : RscObjNotebookListBox
		{
			idc = IDC_CONFIG_KEYS;
			x = 0.025;
			y = 0.1;
			w = 0.95;
			h = 0.567;
			rows = 10.8;
			size = 0.9;	// 3D size
		};
		class TextReserved : RscObjNotebookText
		{
			x = 0.025;
			y = 0.667;
			w = 0.95;
			text = $STR_DISP_CONF_RES;
		};
		class TextMouseSens
		{
			type = CT_3DSTATIC;
			style = ST_FRAME;
			idc = -1;
			color[] = {0, 1, 0, 1};
			font = FontHTML;
			angle = 0;
			selection = "display";
			x = 0.0;
			y = 0.767;
			w = 0.6;
			h = 0.2;
			h2 = 0.05;
			text = $STR_DISP_CONF_SENS;
		};
		class TextXAxis : RscObjNotebookText
		{
			x = 0.05;
			y = 0.817;
			w = 0.15;
			text = $STR_DISP_CONF_XAXIS;
		};
		class ValueXAxis
		{
			type = CT_3DSLIDER;
			idc = IDC_CONFIG_XAXIS;
			style = SL_HORZ;
			x = 0.2;
			y = 0.827;
			w = 0.35;
			h = 0.03;
			color[] = {0, 1, 0, 1};
			angle = 0;
			selection = "display";
		};
		class TextYAxis : RscObjNotebookText
		{
			x = 0.05;
			y = 0.867;
			w = 0.15;
			text = $STR_DISP_CONF_YAXIS;
		};
		class ValueYAxis
		{
			type = CT_3DSLIDER;
			idc = IDC_CONFIG_YAXIS;
			style = SL_HORZ;
			x = 0.2;
			y = 0.877;
			w = 0.35;
			h = 0.03;
			color[] = {0, 1, 0, 1};
			angle = 0;
			selection = "display";
		};
		class ValueYReversed : RscObjNotebookButton
		{
			idc = IDC_CONFIG_YREVERSED;
			style = ST_CENTER;
			x = 0.6;
			y = 0.767;
			w = 0.35;
			text = $STR_DISP_ERROR;
		};
		class TextButtons : RscObjNotebookText
		{
			x = 0.6;
			y = 0.817;
			w = 0.30;
			text = $STR_DISP_CONF_MOUSE_BUTTON;
		};
		class ValueButtons : RscObjNotebookButton
		{
			idc = IDC_CONFIG_BUTTONS;
			style = ST_CENTER;
			x = 0.90;
			y = 0.817;
			w = 0.075;
			text = $STR_DISP_ERROR;
		};
		class ValueJoystick : RscObjNotebookButton
		{
			idc = IDC_CONFIG_JOYSTICK;
			style = ST_CENTER;
			x = 0.6;
			y = 0.867;
			w = 0.35;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDefault,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_OPTIONS_CONFIGURE;
	};
	class ButtonDefault : RscActiveMenu
	{
		idc = IDC_CONFIG_DEFAULT;
		x = 0.05;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_DEFAULT;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.6;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayMultiplayer
{
	idd = IDD_MULTIPLAYER;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_MULTI_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		positionBack[] = {0, -0.04, 0.6};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			IconServer,
			ColumnServer,
			IconMission,
			ColumnMission,
			IconState,
			ColumnState,
			IconPlayers,
			ColumnPlayers,
			IconPing,
			ColumnPing,
			FilterServer,
			FilterMission,
			FilterPlayers,
			FilterPing,
			ValueSessions,
			ButtonDPlay,
			ButtonInternet,
			ButtonRemote,
			ButtonPassword,
			ButtonRefresh,
			ButtonFilter,
			ButtonPort
		};
#define W_ICON		0.015
#define W_COLUMNS	0.9025
		class TitleIcon : RscObjNotebookText
		{
			y = 0.043;
			w = W_ICON;
			h = 0.02;
			style = ST_PICTURE;
			text = "\misc\sipkad.paa";
		};
		class TitleColumn : RscObjNotebookButton
		{
			y = 0.033;
			h = 0.04;
		};
		class FilterColumn : RscObjNotebookText
		{
			y = 0.073;
			h = 0.04;
			text = STR_DISP_ERROR;
		};

		class IconServer : TitleIcon
		{
			idc = IDC_MULTI_SERVER_ICON;
			x = 0.025;
		};
		class ColumnServer : TitleColumn
		{
			idc = IDC_MULTI_SERVER_COLUMN;
			text = $STR_MP_SERVER;
			x = 0.025 + W_ICON;
			w = 0.38 * W_COLUMNS - W_ICON;
		};
		class FilterServer : FilterColumn
		{
			idc = IDC_MULTI_SERVER_FILTER;
			x = 0.025;
			w = 0.38 * W_COLUMNS;
		};
		class IconMission : TitleIcon
		{
			idc = IDC_MULTI_MISSION_ICON;
			x = 0.025 + 0.38 * W_COLUMNS;
		};
		class ColumnMission : TitleColumn
		{
			idc = IDC_MULTI_MISSION_COLUMN;
			text = $STR_SECTION_MISSION;
			x = 0.025 + 0.38 * W_COLUMNS + W_ICON;
			w = 0.3 * W_COLUMNS - W_ICON;
		};
		class FilterMission : FilterColumn
		{
			idc = IDC_MULTI_MISSION_FILTER;
			x = 0.025 + 0.38 * W_COLUMNS;
			w = 0.3 * W_COLUMNS;
		};
		class IconState : TitleIcon
		{
			idc = IDC_MULTI_STATE_ICON;
			x = 0.025 + 0.68 * W_COLUMNS;
		};
		class ColumnState : TitleColumn
		{
			idc = IDC_MULTI_STATE_COLUMN;
			text = $STR_MENU_STATUS;
			x = 0.025 + 0.68 * W_COLUMNS + W_ICON;
			w = 0.12 * W_COLUMNS - W_ICON;
		};
		class IconPlayers : TitleIcon
		{
			idc = IDC_MULTI_PLAYERS_ICON;
			x = 0.025 + 0.8 * W_COLUMNS;
		};
		class ColumnPlayers : TitleColumn
		{
			idc = IDC_MULTI_PLAYERS_COLUMN;
			text = $STR_MPTABLE_PLAYERS;
			x = 0.025 + 0.8 * W_COLUMNS + W_ICON;
			w = 0.12 * W_COLUMNS - W_ICON;
		};
		class FilterPlayers : FilterColumn
		{
			idc = IDC_MULTI_PLAYERS_FILTER;
			x = 0.025 + 0.8 * W_COLUMNS;
			w = 0.12 * W_COLUMNS;
		};
		class IconPing : TitleIcon
		{
			idc = IDC_MULTI_PING_ICON;
			x = 0.025 + 0.92 * W_COLUMNS;
		};
		class ColumnPing : TitleColumn
		{
			idc = IDC_MULTI_PING_COLUMN;
			text = $STR_DISP_MULTI_PING;
			x = 0.025 + 0.92 * W_COLUMNS + W_ICON;
			w = 0.08 * W_COLUMNS - W_ICON;
		};
		class FilterPing : FilterColumn
		{
			idc = IDC_MULTI_PING_FILTER;
			x = 0.025 + 0.92 * W_COLUMNS;
			w = 0.08 * W_COLUMNS;
		};
		class ValueSessions : RscObjNotebookListBox
		{
			idc = IDC_MULTI_SESSIONS;
			x = 0.025;
			y = 0.113;
			w = 0.95;
			h = 0.75;
			rows = 9;
		};
		class ButtonDPlay : RscObjNotebookButton
		{
			idc = IDC_MULTI_DPLAY;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.867;
			w = 0.40;
		};
		class ButtonInternet : RscObjNotebookButton
		{
			idc = IDC_MULTI_INTERNET;
			x = 0.425;
			y = 0.867;
			w = 0.30;
			text = $STR_DISP_ERROR;
		};
		class ButtonRemote : RscObjNotebookButton
		{
			idc = IDC_MULTI_REMOTE;
			x = 0.725;
			y = 0.867;
			w = 0.15;
			text = $STR_MULTI_REMOTE;
		};
		class ButtonPassword : RscObjNotebookButton
		{
			idc = IDC_MULTI_PASSWORD;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.917;
			w = 0.40;
		};
		class ButtonRefresh : RscObjNotebookButton
		{
			idc = IDC_MULTI_REFRESH;
			text = $STR_DISP_MULTI_REFRESH;
			x = 0.425;
			y = 0.917;
			w = 0.15;
		};
		class ButtonFilter : RscObjNotebookButton
		{
			idc = IDC_MULTI_FILTER;
			text = $STR_DISP_MULTI_FILTER;
			x = 0.575;
			y = 0.917;
			w = 0.15;
		};
		class ButtonPort : RscObjNotebookButton
		{
			idc = IDC_MULTI_PORT;
			text = $STR_DISP_PORT_TITLE;
			x = 0.725;
			y = 0.917;
			w = 0.25;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		GameSpy,
		Progress,
		ButtonCancel,
		ButtonJoin,
		ButtonNew
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = IDC_MULTI_TITLE;
		style = ST_CENTER;
		x = 0.0;
		y = 0.02;
		w = 1.0;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_ERROR;
	};
	class GameSpy : RscPicture
	{
		idc = IDC_MULTI_GAMESPY;
		text = "\misc\GameSpy.pac";
		//colorText[]={0.23,0.3,0.08,0.75};
		colorText[]={1, 1, 1, 1};
		x = 0.05; y = 0.90; w = 0.16; h = 0.053;
	};
	class Progress
	{
		type = CT_PROGRESS;
		style = 0;
		idc = IDC_MULTI_PROGRESS;
		x = 0.05; y = 0.96; w = 0.16; h = 0.02;
		colorFrame[] = {1, 1, 1, 1};
		colorBar[] = {1, 1, 1, 0.5};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		style = ST_CENTER;
		x = 0.55;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonJoin : RscActiveMenu
	{
		idc = IDC_MULTI_JOIN;
		text = $STR_DISP_MULTI_JOIN;
		style = ST_CENTER;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonNew : RscActiveMenu
	{
		idc = IDC_MULTI_NEW;
		text = $STR_DISP_MULTI_NEW;
		style = ST_CENTER;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayPort
{
	idd = IDD_PORT;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextPort,
			ValuePort,
		};
		class TextPort : RscObjNotebookText
		{
			x = 0.3;
			y = 0.45;
			w = 0.4;
			text = $STR_DISP_IP_PORT;
		};
		class ValuePort : RscObjNotebookEdit
		{
			idc = IDC_PORT_PORT;
			x = 0.3;
			y = 0.50;
			w = 0.4;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_PORT_TITLE;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayPassword
{
	idd = IDD_PASSWORD;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextPassword,
			ValuePassword,
		};
		class TextPassword : RscObjNotebookText
		{
			x = 0.3;
			y = 0.45;
			w = 0.4;
			text = $STR_DISP_PASSWORD;
		};
		class ValuePassword : RscObjNotebookEdit
		{
			idc = IDC_PASSWORD;
			x = 0.3;
			y = 0.50;
			w = 0.4;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_PASSWORD_TITLE;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayIPAddress
{
	idd = IDD_IP_ADDRESS;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextAddress,
			ValueAddress,
			TextPort,
			ValuePort
		};
		class TextAddress : RscObjNotebookText
		{
			x = 0.3;
			y = 0.40;
			w = 0.4;
			text = $STR_DISP_IP_ADDRESS;
		};
		class ValueAddress : RscObjNotebookEdit
		{
			idc = IDC_IP_ADDRESS;
			x = 0.3;
			y = 0.45;
			w = 0.4;
		};
		class TextPort : RscObjNotebookText
		{
			x = 0.3;
			y = 0.50;
			w = 0.4;
			text = $STR_DISP_IP_PORT;
		};
		class ValuePort : RscObjNotebookEdit
		{
			idc = IDC_IP_PORT;
			x = 0.3;
			y = 0.55;
			w = 0.4;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_IP_TITLE;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayFilter
{
	idd = IDD_FILTER;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextServer,
			ValueServer,
			TextMission,
			ValueMission,
			TextMaxPing,
			ValueMaxPing,
			TextMinPlayers,
			ValueMinPlayers,
			TextMaxPlayers,
			ValueMaxPlayers,
			FullServers,
			PasswordedServers
		};
		class TextServer : RscObjNotebookText
		{
			x = 0.025;
			y = 0.10;
			w = 0.275;
			text = $STR_DISP_FILTER_SERVER;
		};
		class ValueServer : RscObjNotebookEdit
		{
			idc = IDC_FILTER_SERVER;
			x = 0.300;
			y = 0.10;
			w = 0.4;
		};
		class TextMission : RscObjNotebookText
		{
			x = 0.025;
			y = 0.17;
			w = 0.275;
			text = $STR_DISP_FILTER_MISSION;
		};
		class ValueMission : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MISSION;
			x = 0.300;
			y = 0.17;
			w = 0.4;
		};
		class TextMaxPing : RscObjNotebookText
		{
			x = 0.025;
			y = 0.24;
			w = 0.275;
			text = $STR_DISP_FILTER_MAXPING;
		};
		class ValueMaxPing : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MAXPING;
			x = 0.300;
			y = 0.24;
			w = 0.4;
		};
		class TextMinPlayers : RscObjNotebookText
		{
			x = 0.025;
			y = 0.31;
			w = 0.275;
			text = $STR_DISP_FILTER_MINPLAYERS;
		};
		class ValueMinPlayers : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MINPLAYERS;
			x = 0.300;
			y = 0.31;
			w = 0.4;
		};
		class TextMaxPlayers : RscObjNotebookText
		{
			x = 0.025;
			y = 0.38;
			w = 0.275;
			text = $STR_DISP_FILTER_MAXPLAYERS;
		};
		class ValueMaxPlayers : RscObjNotebookEdit
		{
			idc = IDC_FILTER_MAXPLAYERS;
			x = 0.300;
			y = 0.38;
			w = 0.4;
		};
		class FullServers : RscObjNotebookButton
		{
			idc = IDC_FILTER_FULL;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.50;
			w = 0.5;
		};
		class PasswordedServers : RscObjNotebookButton
		{
			idc = IDC_FILTER_PASSWORDED;
			text = $STR_DISP_ERROR;
			x = 0.025;
			y = 0.57;
			w = 0.5;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDefault,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_FILTER_TITLE;
	};
	class ButtonDefault : RscActiveMenu
	{
		idc = IDC_FILTER_DEFAULT;
		text = $STR_DISP_DEFAULT;
		x = 0.10;
		y = 0.90;
		w = 0.15;
		h = 0.05;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayServer
{
	idd = IDD_SERVER;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextIslands,
			ValueIslands,
			TextMissions,
			ValueMissions
		};
		class TextIslands : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.3;
			text = $STR_DISP_SERVER_ISLAND;
		};
		class ValueIslands : RscObjNotebookListBox
		{
			idc = IDC_SERVER_ISLAND;
			x = 0.025;
			y = 0.1;
			w = 0.45;
			h = 0.867;
			rows = 5;
			size = 0.4;	// 3D size
		};
		class TextMissions : RscObjNotebookText
		{
			x = 0.525;
			y = 0.033;
			w = 0.225;
			text = $STR_DISP_SERVER_MISSION;
		};
		class ValueMissions : RscObjNotebookListBox
		{
			idc = IDC_SERVER_MISSION;
			x = 0.525;
			y = 0.1;
			w = 0.45;
			h = 0.867;
			rows = 10;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonDifficulty,
		ButtonEditor,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_SERVER_TITLE;
	};
	class ButtonDifficulty : RscActiveMenu
	{
		idc = IDC_SERVER_DIFF;
		x = 0.05;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonEditor : RscActiveMenu
	{
		idc = IDC_SERVER_EDITOR;
		x = 0.45;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_EDIT;
		soundClick[] = {"", 0, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayRemoteMissions : RscDisplayServer
{
	controls[]=
	{
		Background1,
		Background2,
		Title,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonDifficulty,
		ButtonEditor,
		ButtonCancel,
		ButtonOK
	};
	class PlayersTitleBackground : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText
	{
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox
	{
		idc = IDC_SERVER_PLAYERS;
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_DISCONNECT;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayWizardTemplate
{
	idd = IDD_WIZARD_TEMPLATE;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextTemplates,
			ValueTemplates,
			TextOverview,
			ValueOverview,
			TextName,
			ValueName
		};
		class TextTemplates : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.3;
			text = $STR_DISP_MPW_TEMPLATE;
		};
		class ValueTemplates : RscObjNotebookListBox
		{
			idc = IDC_WIZT_TEMPLATES;
			x = 0.025;
			y = 0.1;
			w = 0.45;
			h = 0.78;
			rows = 9;
		};
		class TextOverview : RscObjNotebookText
		{
			x = 0.525;
			y = 0.033;
			w = 0.225;
			text = $STR_DISP_MPW_DESCRIPTION;
		};
		class ValueOverview : RscHTML
		{
			idc = IDC_WIZT_OVERVIEW;
			type = CT_3DHTML;
			selection = "display";
			x = 0.525;
			y = 0.1;
			w = 0.45;
			h = 0.78;
			angle = 0;
			size = 0.35;	// 3D size
			filename =;

			colorBackground[] = {0, 0, 0, 0};
			colorText[] = {0, 1, 0, 1};
			colorBold[] = {0, 1, 0, 0.5};
			colorLink[] = {0, 1, 0, 1};
			colorLinkActive[] = {0, 1, 0, 1};
		};
		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.917;
			w = 0.25;
			text = $STR_DISP_MPW_NAME;
		};
		class ValueName : RscObjNotebookEdit
		{
			idc = IDC_WIZT_NAME;
			x = 0.275;
			y = 0.917;
			w = 0.7;
			text = "Mission1";
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_MPW_TITLE;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayWizardMap
{
	idd = IDD_WIZARD_MAP;
	movingEnable = false;

	controlsBackground[]=
	{
		Background,
		Map
	};
	class Background : RscText
	{
		x = 0;
		y = 0;
		w = 1;
		h = 1;
		text = "";
		colorBackground[] = {0, 0, 0, 1};
	};
	class Map : RscMapControl
	{
		moveOnEdges = true;
		x = 0;
		y = 0.125;
		w = 1;
		h = 0.75;
	};

	controls[]=
	{
		Background3,
		Background4,
//		ButtonEdit,
		ButtonCancel,
		ButtonFinish
	};
	class Background3 : RscText
	{
		style = ST_CENTER;
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = $STR_DISP_MPW_TITLE;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
/*	class ButtonEdit : RscActiveMenu
	{
		idc = IDC_WIZM_EDIT;
		x = 0.55;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_EDIT;
	};
*/
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
	};
	class ButtonFinish : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_MPW_FINISH;
		default = true;
	};
};

class RscDisplayClient
{
	idd = IDD_CLIENT;
	movingEnable = true;
	controls[]=
	{
		Background,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players
	};
	class Background : RscText
	{
		idc = IDC_CLIENT_TEXT;
		style = ST_CENTER;
		x = 0;
		y = 0;
		w = 1;
		h = 1;
		text = $STR_DISP_CLIENT_TEXT;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 1};
	};
	class PlayersTitleBackground : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText
	{
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox
	{
		idc = IDC_CLIENT_PLAYERS;
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
}

class RscDisplayMultiplayerSetup
{
	idd = IDD_MP_SETUP;
	movingEnable = true;

	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			FrameHeader,
			TextMission,
			ValueMission,
			TextIsland,
			ValueIsland,
			TextDescription,
			ValueDescription,
			TextSide,
			ButtonWest,
			ButtonEast,
			ButtonGuerrila,
			ButtonCivilian,
			TextRoles,
			ValueRoles,
			TextParam1,
			ValueParam1,
			TextParam2,
			ValueParam2,
			TextPool,
			ValuePool,
			TextMessage,
			ButtonEnableAll,
			ButtonLock
		};
		class Frame : RscObjNotebookText
		{
			style = ST_BACKGROUND;
			colorBackground[] = {0, 1, 0, 0.2};
			text = "";
		};
		class FrameHeader : Frame
		{
			x = 0.025;
			y = 0.033;
			w = 0.95;
			h = 0.1;
		};
		class TextMission : RscObjNotebookText
		{
			x = 0.05;
			y = 0.033;
			w = 0.15;
			text = $STR_DISP_SRVSETUP_NAME;
		};
		class ValueMission : RscObjNotebookText
		{
			idc = IDC_MPSETUP_NAME;
			x = 0.205;
			y = 0.033;
			w = 0.390;
			text = $STR_DISP_ERROR;
		};
		class TextIsland : RscObjNotebookText
		{
			x = 0.600;
			y = 0.033;
			w = 0.12;
			text = $STR_DISP_SRVSETUP_ISLAND;
		};
		class ValueIsland : RscObjNotebookText
		{
			idc = IDC_MPSETUP_ISLAND;
			x = 0.725;
			y = 0.033;
			w = 0.24;
			text = $STR_DISP_ERROR;
		};
		class TextDescription : RscObjNotebookText
		{
			x = 0.05;
			y = 0.083;
			w = 0.15;
			h = 0.04;
			text = $STR_DISP_SRVSETUP_DESC;
		};
		class ValueDescription : RscObjNotebookText
		{
			idc = IDC_MPSETUP_DESC;
			x = 0.225;
			y = 0.083;
			w = 0.75;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};

		class TextSide : RscObjNotebookText
		{
			x = 0.025;
			y = 0.15;
			w = 0.125;
			text = $STR_DISP_MPSETUP_SIDE;
		};
		class ButtonSide : RscObjNotebookButton
		{
			style = ST_CENTER;
			color[] = {0, 1, 0, 0.7};
			colorActive[] = {0, 1, 0, 1};
			colorDisabled[] = {0, 1, 0, 0.4};
			colorShade[] = {0, 1, 0, 0.3};
			pictureWidth = 0.72;
			pictureHeight = 1.0;
			textHeight = 0.3;
			x = 0.025;
			w = 0.125;
			h = 0.12;
		};
		class ButtonWest : ButtonSide
		{
			idc = IDC_MPSETUP_WEST;
			y = 0.2;
			text = $STR_WEST;
			picture = "\misc\usa.paa";
			// tooltip = $STR_WEST;
		};
		class ButtonEast : ButtonSide
		{
			idc = IDC_MPSETUP_EAST;
			y = 0.33;
			text = $STR_EAST;
			picture = "\misc\russia.paa";
			// tooltip = $STR_EAST;
		};
		class ButtonGuerrila : ButtonSide
		{
			idc = IDC_MPSETUP_GUERRILA;
			y = 0.46;
			text = $STR_GUERRILA;
			picture = "\misc\resist.paa";
			// tooltip = $STR_GUERRILA;
		};
		class ButtonCivilian : ButtonSide
		{
			idc = IDC_MPSETUP_CIVILIAN;
			y = 0.59;
			text = $STR_CIVILIAN;
			picture = "\misc\civil.paa";
			// tooltip = $STR_CIVILIAN;
		};

		class ButtonEnableAll : RscObjNotebookButton
		{
			idc = IDC_MPSETUP_ENABLE_ALL;
			style = ST_PICTURE;
			x = 0.025;
			y = 0.772;
			w = 0.05;
			h = 0.067;
			text = "";
		};
		class ButtonLock : RscObjNotebookButton
		{
			idc = IDC_MPSETUP_LOCK;
			style = ST_PICTURE;
			x = 0.075;
			y = 0.772;
			w = 0.05;
			h = 0.067;
			text = "";
		};
		
		class TextRoles : RscObjNotebookText
		{
			idc = IDC_MPSETUP_ROLES_TITLE;
			x = 0.15;
			y = 0.15;
			w = 0.5;
			text = $STR_DISP_ERROR;
		};
		class ValueRoles : RscObjNotebookListBox
		{
			idc = IDC_MPSETUP_ROLES;
			x = 0.15;
			y = 0.2;
			w = 0.5;
			h = 0.51;
			rows = 6;
			colorBackground[] = {0, 1, 0, 0.15};
			colorSelectBackground[] = {0, 1, 0, 0.3};
		};
		class TextParam1 : RscObjNotebookText
		{
			idc = IDC_MPSETUP_PARAM1_TITLE;
			x = 0.15;
			y = 0.722;
			w = 0.24;
			text = $STR_DISP_ERROR;
		};
		class ValueParam1 : RscObjNotebookListBox
		{
			idc = IDC_MPSETUP_PARAM1;
			x = 0.15;
			y = 0.772;
			w = 0.24;
			h = 0.14;
			rows = 3;
		};
		class TextParam2 : RscObjNotebookText
		{
			idc = IDC_MPSETUP_PARAM2_TITLE;
			x = 0.41;
			y = 0.722;
			w = 0.24;
			text = $STR_DISP_ERROR;
		};
		class ValueParam2 : RscObjNotebookListBox
		{
			idc = IDC_MPSETUP_PARAM2;
			x = 0.41;
			y = 0.772;
			w = 0.24;
			h = 0.14;
			rows = 3;
		};

		class TextPool : RscObjNotebookText
		{
			x = 0.675;
			y = 0.15;
			w = 0.3;
			text = $STR_DISP_SRVSIDE_POOL;
		};
		class ValuePool : RscObjNotebookListBox
		{
			idc = IDC_MPSETUP_POOL;
			x = 0.675;
			y = 0.2;
			w = 0.3;
			h = 0.712;
			rows = 15;
		};

		class TextMessage : Frame
		{
			idc = IDC_MPSETUP_MESSAGE;
			style = ST_BACKGROUND + ST_CENTER;
			x = 0.025;
			y = 0.925;
			w = 0.95;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonKick,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_MPSETUP_TITLE;
	};
	class ButtonKick : RscActiveMenu
	{
		idc = IDC_MPSETUP_KICK;
		text = $STR_DISP_MP_KICKOFF;
		x = 0.05;
		y = 0.90;
		w = 0.15;
		h = 0.05;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.65;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayMPPlayers
{
	idd = IDD_MP_PLAYERS;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 1;
		animation = "notebook.rtm"
		animPhase = 1;
		position[] = {0, -0.175, 0.25};
		positionBack[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextMission,
			ValueMission,
			TextIsland,
			ValueIsland,
			TextTime,
			ValueTime,
			ValueRest,
			
			TextPlayers,
			ValuePlayers,
			
			TextPlayer,
			ValuePlayer,
			TextPlayerName,
			ValuePlayerName,
			TextPlayerMail,
			ValuePlayerMail,
			TextPlayerICQ,
			ValuePlayerICQ,
			TextPlayerRemark,
			ValuePlayerRemark,

			TextSquad,
			ValueSquad,
			TextSquadName,
			ValueSquadName,
			TextSquadId,
			ValueSquadId,
			TextSquadMail,
			ValueSquadMail,
			TextSquadWeb,
			ValueSquadWeb,
			TextSquadPicture,
			ValueSquadPicture,
			TextSquadTitle,
			ValueSquadTitle,

			PingTitle, PingMinValue, PingAvgValue, PingMaxValue,
			BandwidthTitle, BandwidthMinValue, BandwidthAvgValue, BandwidthMaxValue,
			DesyncTitle, DesyncValue
		};

		class TextNormal: RscObjNotebookText
		{
		};
		class TextSmall: RscObjNotebookText
		{
		};

		class TextMission : TextNormal
		{
			x = 0.025;
			y = 0.033;
			w = 0.12;
			text = $STR_DISP_SRVSETUP_NAME;
		};
		class ValueMission : TextNormal
		{
			idc = IDC_MP_PL_MISSION;
			x = 0.145;
			y = 0.033;
			w = 0.23;
			text = $STR_DISP_ERROR;
		};
		class TextIsland : TextNormal
		{
			x = 0.40;
			y = 0.033;
			w = 0.1;
			text = $STR_DISP_SRVSETUP_ISLAND;
		};
		class ValueIsland : TextNormal
		{
			idc = IDC_MP_PL_ISLAND;
			x = 0.50;
			y = 0.033;
			w = 0.2;
			text = $STR_DISP_ERROR;
		};
		class TextTime : TextNormal
		{
			x = 0.625;
			y = 0.033;
			w = 0.1;
			text = $STR_DISP_MP_PL_TIME;
		};
		class ValueTime : TextNormal
		{
			idc = IDC_MP_PL_TIME;
			x = 0.725;
			y = 0.033;
			w = 0.10;
			text = $STR_DISP_ERROR;
		};
		class ValueRest : TextNormal
		{
			idc = IDC_MP_PL_REST;
			x = 0.825;
			y = 0.033;
			w = 0.15;
			text = $STR_DISP_ERROR;
		};

		class TextPlayers : TextNormal
		{
			x = 0.025;
			y = 0.083;
			w = 0.25;
			h = 0.04;
			text = $STR_DISP_MP_PLAYERS;
		};
		class ValuePlayers : RscObjNotebookListBox
		{
			idc = IDC_MP_PLAYERS;
			x = 0.025;
			y = 0.133;
			w = 0.25;
			h = 0.833;
			size = 0.9;	// 3D size
			rows = 18.5;
		};

		class TextPlayer : TextNormal
		{
			x = 0.3;
			y = 0.083;
			w = 0.15;
			h = 0.06;
			text = $STR_DISP_MP_PL;
		};
		class ValuePlayer : TextNormal
		{
			idc = IDC_MP_PL;
			x = 0.45;
			y = 0.083;
			w = 0.525;
			h = 0.06;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerName : TextNormal
		{
			x = 0.325;
			y = 0.153;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_NAME;
		};
		class ValuePlayerName : TextNormal
		{
			idc = IDC_MP_PL_NAME;
			x = 0.45;
			y = 0.153;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerMail : TextNormal
		{
			x = 0.325;
			y = 0.203;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_MAIL;
		};
		class ValuePlayerMail : TextNormal
		{
			idc = IDC_MP_PL_MAIL;
			x = 0.45;
			y = 0.203;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerICQ : TextNormal
		{
			x = 0.325;
			y = 0.253;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_ICQ;
		};
		class ValuePlayerICQ : TextNormal
		{
			idc = IDC_MP_PL_ICQ;
			x = 0.45;
			y = 0.253;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextPlayerRemark : TextSmall
		{
			x = 0.325;
			y = 0.303;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_PL_REMARK;
		};
		class ValuePlayerRemark : TextSmall
		{
			idc = IDC_MP_PL_REMARK;
			x = 0.45;
			y = 0.303;
			w = 0.525;
			h = 0.20;
			text = $STR_DISP_ERROR;
			style = ST_MULTI;
			lines = 5;
		};

		class TextSquad : TextNormal
		{
			x = 0.3;
			y = 0.513;
			w = 0.15;
			h = 0.06;
			text = $STR_DISP_MP_SQ;
		};
		class ValueSquad : TextNormal
		{
			idc = IDC_MP_SQ;
			x = 0.45;
			y = 0.513;
			w = 0.525;
			h = 0.06;
			text = $STR_DISP_ERROR;
		};
		class TextSquadName : TextNormal
		{
			x = 0.325;
			y = 0.583;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_NAME;
		};
		class ValueSquadName : TextNormal
		{
			idc = IDC_MP_SQ_NAME;
			x = 0.45;
			y = 0.583;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadId : TextNormal
		{
			x = 0.325;
			y = 0.633;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_ID;
		};
		class ValueSquadId : TextNormal
		{
			idc = IDC_MP_SQ_ID;
			x = 0.45;
			y = 0.633;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadMail : TextNormal
		{
			x = 0.325;
			y = 0.683;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_MAIL;
		};
		class ValueSquadMail : TextNormal
		{
			idc = IDC_MP_SQ_MAIL;
			x = 0.45;
			y = 0.683;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadWeb : TextNormal
		{
			x = 0.325;
			y = 0.733;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_WEB;
		};
		class ValueSquadWeb : TextNormal
		{
			idc = IDC_MP_SQ_WEB;
			x = 0.45;
			y = 0.733;
			w = 0.525;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};
		class TextSquadPicture : TextNormal
		{
			x = 0.325;
			y = 0.783;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_PICTURE;
		};
		class ValueSquadPicture : TextNormal
		{
			idc = IDC_MP_SQ_PICTURE;
			style = ST_PICTURE;
			x = 0.45;
			w = 0.093;
			y = 0.783;
			h = 0.124;
			text = "";
			color[] = {1, 1, 1, 1};
		};
		class TextSquadTitle : TextNormal
		{
			x = 0.325;
			y = 0.917;
			w = 0.125;
			h = 0.04;
			text = $STR_DISP_MP_SQ_TITLE;
		};
		class ValueSquadTitle : TextNormal
		{
			idc = IDC_MP_SQ_TITLE;
			x = 0.45;
			w = 0.525;
			y = 0.917;
			h = 0.04;
			text = $STR_DISP_ERROR;
		};

		class PingTitle: TextNormal
		{
			x = 0.325;
			w = 0.150;
			y = 0.350;
			h = 0.04;
			text = $STR_DISP_MP_PING;
		};
		class PingMinValue: TextNormal
		{
			y = 0.350;
			h = 0.04;
			x = 0.48;
			w = 0.05;
			idc = IDC_MP_PL_MINPING;
			text = $STR_DISP_ERROR;
		};
		class PingAvgValue: TextNormal
		{
			idc = IDC_MP_PL_AVGPING;
			y = 0.350;
			h = 0.04;
			x = 0.58;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class PingMaxValue: TextNormal
		{
			y = 0.350;
			h = 0.04;
			x = 0.68;
			w = 0.05;
			idc = IDC_MP_PL_MAXPING;
			text = $STR_DISP_ERROR;
		};
		class BandwidthTitle: TextNormal
		{
			x = 0.325;
			w = 0.150;
			y = 0.400;
			h = 0.04;
			text = $STR_DISP_MP_BANDWIDTH;
		};
		class BandwidthMinValue: TextNormal
		{
			idc = IDC_MP_PL_MINBAND;
			y = 0.400;
			h = 0.04;
			x = 0.48;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class BandwidthAvgValue: TextNormal
		{
			idc = IDC_MP_PL_AVGBAND;
			y = 0.400;
			h = 0.04;
			x = 0.58;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class BandwidthMaxValue: TextNormal
		{
			idc = IDC_MP_PL_MAXBAND;
			y = 0.400;
			h = 0.04;
			x = 0.68;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
		class DesyncTitle: TextNormal
		{
			x = 0.325;
			w = 0.150;
			y = 0.450;
			h = 0.04;
			text = $STR_DISP_MP_DESYNC;
		};
		class DesyncValue: TextNormal
		{
			idc = IDC_MP_PL_DESYNC;
			y = 0.450;
			h = 0.04;
			x = 0.48;
			w = 0.05;
			text = $STR_DISP_ERROR;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonKickOff,
		ButtonBan,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_MP_PLAYERS_TITLE;
	};
	class ButtonKickOff : RscActiveMenu
	{
		idc = IDC_MP_KICKOFF;
		text = $STR_DISP_MP_KICKOFF;
		x = 0.00;
		y = 0.90;
		w = 0.25;
		h = 0.05;
	};
	class ButtonBan : RscActiveMenu
	{
		idc = IDC_MP_BAN;
		text = $STR_DISP_MP_BAN;
		x = 0.25;
		y = 0.90;
		w = 0.25;
		h = 0.05;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CLOSE;
		x = 0.85;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayClientWait : RscDisplayMPPlayers
{
	idd = IDD_CLIENT_WAIT;
	class Title : RscText
	{
		idc = IDC_CLIENT_WAIT_TITLE;
		style = ST_CENTER;
		x = 0;
		y = 0.02;
		w = 1;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_CLIENT_WAIT_TEXT;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.85;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayMainMap
{
	idd = IDD_MAIN_MAP;
	movingEnable = false;

	controlsBackground[]=
	{
		Background,
		Map
	};
	class Background : RscText
	{
		x = 0;
		y = 0;
		w = 1;
		h = 1;
		text = "";
		colorBackground[] = {0, 0, 0, 1};
	};
	class Map : RscMapControl
	{
		moveOnEdges = true;
		x = 0;
		y = 0;
		w = 1;
		h = 1;
		class Command
		{
			icon = "order";
			color[] = {0, 0, 0, 1};
			size = 12;
		};
		class ActiveMarker
		{
			color[] = {0.9, 0.0, 0.0, 1};
			size = 50;
		};
	};

	objects[]=
	{
		Watch,
		Compass,
		WalkieTalkie,
		Notepad,
		Warrant,
		GPS
	};
	class Watch : RscObject
	{
		idc = IDC_MAP_WATCH;
		type = CT_OBJECT_ZOOM;
		model = "kosei.p3d";
		position[] = {0.079, 0.044, 0.21};
		positionBack[] = {0.238, 0.158, 0.525};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
	class Compass : RscObject
	{
		idc = IDC_MAP_COMPASS;
		type = CT_OBJECT_ZOOM;
		model = "kompas.p3d";
		position[] = {0.026, 0.047, 0.20};
		direction[] = {0, 1, 0};
		up[] = {0, 0, -1};
		positionBack[] = {0.178, 0.145, 0.50};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
	class WalkieTalkie : RscObject
	{
		idc = IDC_MAP_WALKIE_TALKIE;
		type = CT_OBJECT_CONTAINER;
		model = "vysilacka.p3d";
		position[] = {0.094, -0.043, 0.25};
		scale = 1.3;
		direction[] = {0, 1, 0};
		up[] = {0, 0, -1};
		positionBack[] = {0.280, -0.155, 0.625};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[]=
		{
			RadioAlpha,
			RadioBravo,
			RadioCharlie,
			RadioDelta,
			RadioEcho,
			RadioFoxtrot,
			RadioGolf,
			RadioHotel,
			RadioIndia,
			RadioJuliet
		};
		class RscRadioText : RscActiveText
		{
			color[] = {0.5, 0.5, 0.5, 1};
			colorActive[] = {0, 0, 0, 1};
			font = FontMAIN;
			sizeEx = 0.6 * 0.05;
			x = 0;
			w = 1;
			h = 0.1;
			selection = "papir";
			text = $STR_DISP_ERROR;
		};
		class RadioAlpha : RscRadioText
		{
			idc = IDC_RADIO_ALPHA;
			y = 0;
		};
		class RadioBravo : RscRadioText
		{
			idc = IDC_RADIO_BRAVO;
			y = 0.1;
		};
		class RadioCharlie : RscRadioText
		{
			idc = IDC_RADIO_CHARLIE;
			y = 0.2;
		};
		class RadioDelta : RscRadioText
		{
			idc = IDC_RADIO_DELTA;
			y = 0.3;
		};
		class RadioEcho : RscRadioText
		{
			idc = IDC_RADIO_ECHO;
			y = 0.4;
		};
		class RadioFoxtrot : RscRadioText
		{
			idc = IDC_RADIO_FOXTROT;
			y = 0.5;
		};
		class RadioGolf : RscRadioText
		{
			idc = IDC_RADIO_GOLF;
			y = 0.6;
		};
		class RadioHotel : RscRadioText
		{
			idc = IDC_RADIO_HOTEL;
			y = 0.7;
		};
		class RadioIndia : RscRadioText
		{
			idc = IDC_RADIO_INDIA;
			y = 0.8;
		};
		class RadioJuliet : RscRadioText
		{
			idc = IDC_RADIO_JULIET;
			y = 0.9;
		};
	};
	class Notepad : RscObject
	{
		idc = IDC_MAP_NOTEPAD;
		type = CT_OBJECT_CONTAINER;
		model = "blok.p3d";
		position[] = {-0.114,-0.0103,0.32};
		scale = 0.75;
		positionBack[] = {-0.325, 0.197, 0.80};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[]=
		{
			Name,
			Bookmark1,
			Bookmark2,
			Bookmark3,
			Bookmark4,
//			BookmarkA,
//			BookmarkB,
			Briefing
		};
		class Name : RscText
		{
			idc = IDC_MAP_NAME;
			style = ST_CENTER;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			selection = "jmeno mise";
			text = $STR_DISP_ERROR;
			colorText[] = {0, 0, 0, 1};
			font = FontHTML;
			sizeEx = 0.8 * 0.048;
		};
		class RscBookmarkText : RscActiveText
		{
			style = ST_CENTER;
			color[] = {0, 0, 0, 1};
			colorActive[] = {1, 1, 1, 1};
			font = FontHTML;
			sizeEx = 0.5 * 0.048;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
		};
		class Bookmark1 : RscBookmarkText
		{
			idc = IDC_MAP_PLAN;
			selection = "zalozka1";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_PLAN;
		};
		class Bookmark2 : RscBookmarkText
		{
			idc = IDC_MAP_NOTES;
			selection = "zalozka2";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_NOTES;
		};
		class Bookmark3 : RscBookmarkText
		{
			idc = IDC_MAP_GEAR;
			selection = "zalozka3";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_GEAR;
		};
		class Bookmark4 : RscBookmarkText
		{
			idc = IDC_MAP_GROUP;
			selection = "zalozka4";
//			text = $STR_DISP_ERROR;
			text = $STR_MAP_GROUP;
		};
/*
		class BookmarkA : RscBookmarkText
		{
			idc = IDC_MAP_BRIEFING;
			style = ST_VCENTER;
			selection = "zalozka modra";
			text = $STR_DISP_MAP_BRIEFING;
		};
		class BookmarkB : RscBookmarkText
		{
			idc = IDC_MAP_DEBRIEFING;
			style = ST_VCENTER;
			selection = "zalozka hneda";
			text = $STR_DISP_MAP_DEBRIEFING;
		};
*/
		class Briefing : RscHTML
		{
			idc = IDC_BRIEFING;
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			selection = "papir";
			filename = ;
		};
	};
	class Warrant : RscObject
	{
		idc = IDC_MAP_WARRANT;
		type = CT_OBJECT_CONTAINER;
		model = "karta.p3d";
		position[] = {0.073, -0.025, 0.4};
		scale = 0.7;
		positionBack[] = {0.368, 0.193, 1.0};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[]=
		{
			Warrant
		};
		class Warrant
		{
			type = CT_USER;
			style = 0;
			idc = IDC_WARRANT;
			x = 0;
			y = 0;
			w = 1;
			h = 1; 
			selection = "karta";
			font = FontHTML;
			sizeEx = 0.5 * 0.048;
			color[] = {0, 0, 0, 1};
		};
	};
	class GPS : RscObject
	{
		idc = IDC_MAP_GPS;
		type = CT_OBJECT_CONTAINER;
		model = "gps.p3d";
		position[] = {0, 0, 0.45};
		scale = 2.0;
		direction[] = {0, 1, 0};
		up[] = {0, 0, -1};
		positionBack[] = {0, 0, 1.125};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		controls[] =
		{
			GPS
		};
		class GPS : RscText
		{
			style = ST_CENTER;
			idc = IDC_GPS;
			selection = "display";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			font = FontHTML;
			sizeEx = 0.8 * 0.048;
			colorText[] = {0.33, 0.52, 0.43, 1};
			text = "";
		};
	};

	controls[]=
	{
	};
};

class RscDisplayGetReady : RscDisplayMainMap
{
	idd = IDD_INTEL_GETREADY;
	controlsBackground[]=
	{
		Background,
		Map2
	};
	class Map2 : Map
	{
		y = 0.125;
		h = 0.75;
	};

	controls[]=
	{
		Background3,
		Background4,
		ButtonContinue,
		ButtonCancel
	};
	class Background3 : RscText
	{
		idc = IDC_GETREADY_TITLE;
		style = ST_CENTER;
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = $STR_DISP_ERROR;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CONTINUE;
		default = true;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
	};
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of server briefing dialog
*/
class RscDisplayServerGetReady : RscDisplayGetReady
{
	idd = IDD_SERVER_GET_READY;
	controls[]=
	{
		Background3,
		Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonContinue,
		ButtonCancel
	};
	class PlayersTitleBackground : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText
	{
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox
	{
		idc = IDC_SERVER_READY_PLAYERS;
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_SERVER_READY;
		default = true;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;		
	
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
	};
};

class RscDisplayClientGetReady : RscDisplayGetReady
{
	idd = IDD_CLIENT_GET_READY;
	controls[]=
	{
		Background3,
		Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonContinue,
		ButtonCancel
	};
	class PlayersTitleBackground : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText
	{
		x = 0.70;
		y = 0.700;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText
	{
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox
	{
		idc = IDC_CLIENT_READY_PLAYERS;
		x = 0.70;
		y = 0.725;
		w = 0.25;
		h = 0.125;
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonContinue : RscActiveMenu
	{
		default = 1;
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CLIENT_READY;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;		
	
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_DISCONNECT;
	};
};

class RscDisplayDebriefing
{
	idd = IDD_DEBRIEFING;
	movingEnable = false;

	objects[]=
	{
		Notepad,
		Statistics
	};
	class Notepad : RscObject
	{
		model = "blok_selmis2.p3d";
		idc = -1;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = false;
		animSpeed = 1;
		animation = "blok_mis.rtm"
		position[] = {0.20, 0.02, 1.2};
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		positionBack[] = {0.3, 0.10, 1.40};
		inBack = false;
		enableZoom = true;
		zoomDuration = 0.5;
		scale=2;
		controls[]={Left, Right};
		class Left : RscHTML
		{
			idc = IDC_DEBRIEFING_LEFT;
			type = CT_3DHTML;
			selection = "papir";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.35;	// 3D size
			filename =;
			colorLink[] = {0, 0, 0, 1};
			colorLinkActive[] = {0, 0, 0, 1};
		};
		class Right : RscHTML
		{
			idc = IDC_SINGLE_OVERVIEW;
			type = CT_3DHTML;
			selection = "papir2";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.35;	// 3D size
			filename =;
			colorLink[] = {0.2, 0.2, 0.4, 1};
			colorLinkActive[] = {0.4, 0.17, 0.24, 1};
		};
	};
	class Statistics : RscObject
	{
		model = "desky.p3d";
		idc = IDC_DEBRIEFING_PAD2;
		type = CT_OBJECT_CONTAINER;
		position[] = {-0.275, 0.024, 1.1};
		direction[] = {0, -0.259, 0.966};
		up[] = {0, 0.966, 0.259};
		positionBack[] = {-0.275, 0.024, 1.1};
		inBack = false;
		enableZoom = false;
		zoomDuration = 0.5;
		scale=2;
		controls[]={Statistics};
		class Statistics : RscHTML
		{
			idc = IDC_DEBRIEFING_STAT;
			type = CT_3DHTML;
			selection = "papir";
			x = 0;
			y = 0;
			w = 1;
			h = 1;
			angle = 0;
			size = 0.34;	// 3D size
			filename =;
			colorLink[] = {0.2, 0.2, 0.4, 1};
			colorLinkActive[] = {0.4, 0.17, 0.24, 1};
		};
	};
	controlsBackground[]=
	{
		Background1, 
		Background2
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	controls[]=
	{
		Background3,
		Background4,
		PlayersTitleBackground,
		PlayersTitle,
		PlayersBackground,
		Players,
		ButtonRestart,
		ButtonContinue
	};
	class Background3 : RscText
	{
		style = ST_CENTER;
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = $STR_DISP_DEBRIEFING;
		font = FontTITLE;
		sizeEx = 0.098;
		colorText[] = {1, 1, 1, 1};
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class PlayersTitleBackground : RscText
	{
		idc = IDC_DEBRIEFING_PLAYERS_TITLE_BG;
		x = 0.0;
		y = 0.825;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class PlayersTitle : RscText
	{
		idc = IDC_DEBRIEFING_PLAYERS_TITLE;
		x = 0.0;
		y = 0.825;
		w = 0.25;
		h = 0.025;
		colorBackground[] = {1, 1, 1, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = $STR_DISP_SRVSETUP_PLAYERS;
		style = ST_LEFT + ST_WITH_RECT;
	};
	class PlayersBackground : RscText
	{
		idc = IDC_DEBRIEFING_PLAYERS_BG;
		x = 0.0;
		y = 0.850;
		w = 0.25;
		h = 0.125;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Players : RscListBox
	{
		idc = IDC_DEBRIEFING_PLAYERS;
		x = 0.0;
		y = 0.850;
		w = 0.25;
		h = 0.125;
		colorSelect[] = {1, 1, 1, 1};
		colorText[] = {1, 1, 1, 0.75};
		rowHeight = 0.025;
	};
	class ButtonRestart : RscActiveMenu
	{
		idc = IDC_DEBRIEFING_RESTART;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_DEBRIEFING_RESTART;
	};
	class ButtonContinue : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CONTINUE;
		default = true;
	};
};

class RscDisplaySelectIsland
{
	idd = IDD_SELECT_ISLAND;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_SELECT_ISLAND_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.08, 0.6};
		direction[] = {sin 10, sin 20 * cos 10, cos 20 * cos 10};
		up[] = {0, cos 20, -sin 20};
		positionBack[] = {0, -0.04, 0.7};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[]={Islands};
		class Islands : RscObjNotebookListBox
		{
			idc = IDC_SELECT_ISLAND;
			x = 0.025;
			y = 0.033;
			w = 0.95;
			h = 0.933;
			rows = 5;
			size = 0.7;	// 3D size
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonWizard,
		ButtonCancel,
		ButtonOK
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = -1;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_SELECT_ISLAND;
	};
	class ButtonWizard : RscActiveMenu
	{
		idc = IDC_SELECT_ISLAND_WIZARD;
		text = $STR_DISP_MPW_TITLE;
		x = 0.05;
		y = 0.90;
		w = 0.35;
		h = 0.05;
		soundClick[] = {"", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		x = 0.6;
		y = 0.90;
		w = 0.25;
		h = 0.05;

		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;		
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayLogin
{
	idd = IDD_LOGIN;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Notebook
	};
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_LOGIN_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		positionBack[] = {0, -0.04, 0.6};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextUser,
			ValueUser,
			ButtonNew,
			ButtonEdit,
			ButtonDelete
		};
		class TextUser : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.45;
			text = $STR_DISP_LOGIN_USER;
		};
		class ValueUser : RscObjNotebookListBox
		{
			idc = IDC_LOGIN_USER;
			x = 0.025;
			y = 0.1;
			w = 0.45;
			h = 0.867;
			rows = 10;
		};
		class ButtonNew : RscObjNotebookButton
		{
			idc = IDC_LOGIN_NEW;
			x = 0.525;
			y = 0.1;
			w = 0.45;
			h = 0.08;
			text = $STR_DISP_NEW;
		};
		class ButtonEdit : RscObjNotebookButton
		{
			idc = IDC_LOGIN_EDIT;
			x = 0.525;
			y = 0.2;
			w = 0.45;
			h = 0.08;
			text = $STR_DISP_EDIT;
		};
		class ButtonDelete : RscObjNotebookButton
		{
			idc = IDC_LOGIN_DELETE;
			x = 0.525;
			y = 0.3;
			w = 0.45;
			h = 0.08;
			text = $STR_DISP_DELETE;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_LOGIN_TITLE;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		style = ST_CENTER;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		style = ST_CENTER;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayNewUser
{
	idd = IDD_NEW_USER;
	movingEnable = true;
	controlsBackground[]=
	{
		Background3,
		Background4,
		Background5
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background4 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background5 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};

	objects[]=
	{
		Head,
		Notebook
	};
	class Head : RscObject
	{
		model = "hlavaw.p3d";
		modelWoman = "\o\char\civilistka_head.p3d";
		idc = IDC_NEW_USER_HEAD;
		type = CT_OBJECT;
		position[] = {-0.021, -0.006, 0.15};
		direction[] = {0, 0, 0};
		up[] = {0, 0, 0};
		scale = 0.19;
	}
	class Notebook : RscObject
	{
		model = "notebook.p3d";
		idc = IDC_NEW_USER_NOTEBOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = true;
		animSpeed = 1;
		animPhase = 1;
		animation = "notebook.rtm"
		position[] = {0, -0.175, 0.25};
		direction[] = {0, sin 30, cos 30};
		up[] = {0, cos 30, -sin 30};
		positionBack[] = {0, -0.04, 0.6};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1;
		scale=1;
		controls[] =
		{
			TextName,
			ValueName,
			ValueId,
			HeadArea,
			TextFace,
			ValueFace,
			TextGlasses,
			ValueGlasses,
			TextSpeaker,
			ValueSpeaker,
			TextPitch,
			ValuePitch,
			TextSquad,
			ValueSquad
		};
		class TextName : RscObjNotebookText
		{
			x = 0.025;
			y = 0.033;
			w = 0.45;
			text = $STR_DISP_NEW_USER_NAME;
		};
		class ValueName : RscObjNotebookEdit
		{
			idc = IDC_LOGIN_USER;
			x = 0.025;
			y = 0.083;
			w = 0.45;
			h = 0.06;
		};
		class ValueId : RscObjNotebookText
		{
			idc = IDC_NEW_USER_ID;
			x = 0.025;
			y = 0.143;
			w = 0.45;
			text = STR_DISP_ERROR;
		};
		class HeadArea : RscObjNotebookText
		{
			idc = IDC_NEW_USER_HEAD_AREA;
			x = 0.025;
			y = 0.143;
			w = 0.45;
			h = 0.967 - 0.143;
			text = "";
		};
		class TextFace : RscObjNotebookText
		{
			x = 0.525;
			y = 0.033;
			w = 0.45;
			text = $STR_DISP_NEW_USER_FACE;
		};
		class ValueFace : RscObjNotebookListBox
		{
			idc = IDC_NEW_USER_FACE;
			x = 0.525;
			y = 0.083;
			w = 0.45;
			h = 0.18;
			rows = 3;
		};
		class TextGlasses : RscObjNotebookText
		{
			x = 0.525;
			y = 0.283;
			w = 0.45;
			text = $STR_DISP_NEW_USER_GLASSES;
		};
		class ValueGlasses : RscObjNotebookListBox
		{
			idc = IDC_NEW_USER_GLASSES;
			x = 0.525;
			y = 0.333;
			w = 0.45;
			h = 0.12;
			rows = 2;
		};
		class TextSpeaker : RscObjNotebookText
		{
			x = 0.525;
			y = 0.473;
			w = 0.45;
			text = $STR_DISP_NEW_USER_SPEAKER;
		};
		class ValueSpeaker : RscObjNotebookListBox
		{
			idc = IDC_NEW_USER_SPEAKER;
			x = 0.525;
			y = 0.523;
			w = 0.45;
			h = 0.12;
			rows = 2;
		};
		class TextPitch : RscObjNotebookText
		{
			x = 0.525;
			y = 0.663;
			w = 0.45;
			text = $STR_DISP_NEW_USER_PITCH;
		};
		class ValuePitch
		{
			type = CT_3DSLIDER;
			idc = IDC_NEW_USER_PITCH;
			style = SL_HORZ;
			x = 0.525;
			y = 0.713;
			w = 0.45;
			h = 0.05;
			color[] = {0, 1, 0, 1};
			angle = 0;
			selection = "display";
		};
		class TextSquad : RscObjNotebookText
		{
			idc = IDC_NEW_USER_SQUAD_TEXT;
			x = 0.525;
			y = 0.866;
			w = 0.45;
			text = $STR_DISP_NEW_USER_SQUAD;
		};
		class ValueSquad : RscObjNotebookEdit
		{
			idc = IDC_NEW_USER_SQUAD;
			x = 0.525;
			y = 0.916;
			w = 0.45;
			h = 0.06;
		};
	};

	controls[]=
	{
		Background1,
		Background2,
		Title,
		ButtonOK,
		ButtonCancel
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};
	class Title : RscText
	{
		idc = IDC_NEW_USER_TITLE;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_ERROR;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		style = ST_CENTER;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		text = $STR_DISP_CANCEL;
		style = ST_CENTER;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayCampaignLoad
{
	idd = IDD_CAMPAIGN_LOAD;
	movingEnable = false;
	controls[]=
	{
		ButtonCancel,
		ButtonOK,
		ButtonReplay,
		ButtonDifficulty
		
		
	};
	class ButtonDifficulty : RscActiveMenu
	{
		idc = IDC_CAMPAIGN_DIFF;
		x = 0.05;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		text = $STR_DISP_ERROR;
		soundClick[] = {"", 0, 1};
	};
	class ButtonReplay : RscActiveMenu
	{
		idc = IDC_CAMPAIGN_REPLAY;
		x = 0.45;
		y = 0.90;
		w = 0.25;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CAMPAIGN_REPLAY;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_ERROR;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};

	controlsBackground[]=
	{
		Background1, 
		Background2, 
		Background3
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};

	objects[]=
	{
		Book
	};
	class Book : RscObject
	{
		model = "kniha6.p3d";
		animation = "kniha2.rtm";
		idc = IDC_CAMPAIGN_BOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = true;
		autoZoom = true;
		animSpeed = 0.5;
		positionBack[] = {-0.5, 0.3, 1.5};	// starting position
		position[] = {0.1, 0.0, 0.8};
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		inBack = true;
		enableZoom = false;
		zoomDuration = 1.0;
		scale=1.0;
		controls[]=
		{
			Title1,
			Title,
			Prev,
			Campaign,
			Next,
			Contents,
			History,
			Mission,
			Description,
			Date,
			Score,
			Duration,
			Casualties,
			KillsTitle,
			EnemyRow,
			FriendlyRow,
			CivilianRow,
			InfantryColumn,
			SoftColumn,
			ArmoredColumn,
			AircraftColumn,
			TotalColumn,
			EInf, ESoft, EArm, EAir, ETot,
			FInf, FSoft, FArm, FAir, FTot,
			CInf, CSoft, CArm, CAir, CTot,
		};
		class Title1 : Rsc3DTextMenu
		{
			color[]=Gold;
			font = FontBOOK;
			idc = -1;
			selection = "cover";
			x = 0.0;
			y = 0.2;
			w = 1.0;
			h = 0.15;
			text = $STR_DISP_CAMPAIGN_FLASHPOINT;
			style = ST_CENTER;
		};
		class Title : Rsc3DTextMenu
		{
			color[]={0, 0, 0, 1};
			font = FontBOOK;
			idc = -1;
			selection = "1.strana";
			x = 0.0;
			y = 0.2;
			w = 1.0;
			h = 0.12;
			text = $STR_DISP_CAMPAIGN_FLASHPOINT;
			style = ST_CENTER;
		};
		class Campaign : Rsc3DTextMenu
		{
			idc = IDC_CAMPAIGN_CAMPAIGN;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.1;
			y = 0.0;
			w = 0.8;
			h = 0.08;
			text = $STR_DISP_ERROR;
			style = ST_CENTER;
		};
		class Prev : Rsc3DActiveMenu
		{
			idc = IDC_CAMPAIGN_PREV;
			color[] = {1, 1, 1, 0.6};
			colorActive[] = {1, 1, 1, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.0;
			y = 0.0;
			w = 0.1;
			h = 0.08;
			text = "sipka_left.paa";
			style = ST_PICTURE;
		};
		class Next : Rsc3DActiveMenu
		{
			idc = IDC_CAMPAIGN_NEXT;
			color[] = {1, 1, 1, 0.6};
			colorActive[] = {1, 1, 1, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.9;
			y = 0.0;
			w = 0.1;
			h = 0.08;
			text = "sipka_right.paa";
			style = ST_PICTURE;
		};
		class Contents : Rsc3DTextMenu
		{
			idc = -1;
			color[]={0, 0, 0, 1};
			font = FontBOOK;
			selection = "2.strana";
			x = 0.02;
			y = 0.1;
			w = 0.96;
			h = 0.06;
			text = $STR_DISP_CAMPAIGN_CONTENTS;
			style = ST_LEFT;
		};
		class History
		{
			type = CT_3DLISTBOX;
			idc = IDC_CAMPAIGN_HISTORY;
			style = 0;
			selection = "2.strana";
			x = 0.02;
			y = 0.16;
			w = 0.96;
			h = 0.84;
			angle = 0;
			rows = 14;
			size = 1;	// 3D size
			colorSelect[] = {0, 0, 0, 1};
			colorSelectBackground[] = {0, 0, 0, 0.2};
			colorText[] = {0.2, 0.2, 0.2, 1};
			font = FontBOOK;
		};
		class Mission : Rsc3DTextMenu
		{
			idc = IDC_CAMPAIGN_MISSION;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0.0;
			y = 0.0;
			w = 1.0;
			h = 0.08;
			text = $STR_DISP_ERROR;
			style = ST_CENTER;
		};
		class Description : RscHTML
		{
			type = CT_3DHTML;
			idc = IDC_CAMPAIGN_DESCRIPTION;
			selection = "3.strana";
			x = 0;
			y = 0.1;
			w = 1;
			h = 0.4;
			angle = 0;
			size = 0.54// 3D size
			filename = ;
			colorLink[] = {0.2, 0.2, 0.4, 1};
			colorLinkActive[] = {0.4, 0.17, 0.24, 1};
		};
		class BookText : Rsc3DTextMenu
		{
			idc = -1;
			color[]={0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0.05;
			h = 0.04
			w = 0.90;
			text = "";
			style = ST_LEFT;
		};

		class Date : BookText
		{
			idc = IDC_CAMPAIGN_DATE;
			y = 0.64
			text = $STR_DISP_ERROR;
		};
		class Score : BookText
		{
			idc = IDC_CAMPAIGN_SCORE;
			y = 0.68
			text = $STR_DISP_ERROR;
		};
		class Duration : BookText
		{
			idc = IDC_CAMPAIGN_DURATION;
			y = 0.72
			text = $STR_DISP_ERROR;
		};
		class Casualties : BookText
		{
			idc = IDC_CAMPAIGN_CASUALTIES;
			y = 0.76
			text = $STR_DISP_ERROR;
		};

		class BookTableRowTitle : BookText
		{
			x = 0.05;
			w = 0.15;
			style = ST_CENTER + ST_WITH_RECT;
		};
		class BookTableItem : BookText
		{
			w = 0.15;
			style = ST_CENTER + ST_WITH_RECT;
		};

		class KillsTitle : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_KILLS_TITLE;
			y = 0.84;
			text = $STR_CAMPAIGN_KILLS;
		};
		class EnemyRow : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_ENEMY_ROW;
			y = 0.88;
			text = $STR_DISP_CAMPAIGN_ENEMY;
		};
		class FriendlyRow : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_FRIENDLY_ROW;
			y = 0.92;
			text = $STR_DISP_CAMPAIGN_FRIENDLY;
		};
		class CivilianRow : BookTableRowTitle
		{
			idc = IDC_CAMPAIGN_CIVILIAN_ROW;
			y = 0.96;
			text = $STR_DISP_CAMPAIGN_CIVILIAN;
		};
		class InfantryColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_INFANTRY_COLUMN;
			x = 0.20;
			y = 0.84;
			text = $STR_MPTABLE_INFANTRY;
		};
		class SoftColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_SOFT_COLUMN;
			x = 0.35;
			y = 0.84;
			text = $STR_MPTABLE_SOFT;
		};
		class ArmoredColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_ARMORED_COLUMN;
			x = 0.50;
			y = 0.84;
			text = $STR_MPTABLE_ARMORED;
		};
		class AircraftColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_AIRCRAFT_COLUMN;
			x = 0.65;
			y = 0.84;
			text = $STR_MPTABLE_AIR;
		};
		class TotalColumn : BookTableItem
		{
			idc = IDC_CAMPAIGN_TOTAL_COLUMN;
			x = 0.80;
			y = 0.84;
			text = $STR_MPTABLE_TOTAL;
		};
		class EInf : BookTableItem
		{
			idc = IDC_CAMPAIGN_EINF;
			x = 0.20;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class ESoft : BookTableItem
		{
			idc = IDC_CAMPAIGN_ESOFT;
			x = 0.35;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class EArm : BookTableItem
		{
			idc = IDC_CAMPAIGN_EARM;
			x = 0.50;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class EAir : BookTableItem
		{
			idc = IDC_CAMPAIGN_EAIR;
			x = 0.65;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class ETot : BookTableItem
		{
			idc = IDC_CAMPAIGN_ETOT;
			x = 0.80;
			y = 0.88;
			text = $STR_DISP_ERROR;
		};
		class FInf : BookTableItem
		{
			idc = IDC_CAMPAIGN_FINF;
			x = 0.20;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FSoft : BookTableItem
		{
			idc = IDC_CAMPAIGN_FSOFT;
			x = 0.35;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FArm : BookTableItem
		{
			idc = IDC_CAMPAIGN_FARM;
			x = 0.50;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FAir : BookTableItem
		{
			idc = IDC_CAMPAIGN_FAIR;
			x = 0.65;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class FTot : BookTableItem
		{
			idc = IDC_CAMPAIGN_FTOT;
			x = 0.80;
			y = 0.92;
			text = $STR_DISP_ERROR;
		};
		class CInf : BookTableItem
		{
			idc = IDC_CAMPAIGN_CINF;
			x = 0.20;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CSoft : BookTableItem
		{
			idc = IDC_CAMPAIGN_CSOFT;
			x = 0.35;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CArm : BookTableItem
		{
			idc = IDC_CAMPAIGN_CARM;
			x = 0.50;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CAir : BookTableItem
		{
			idc = IDC_CAMPAIGN_CAIR;
			x = 0.65;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
		class CTot : BookTableItem
		{
			idc = IDC_CAMPAIGN_CTOT;
			x = 0.80;
			y = 0.96;
			text = $STR_DISP_ERROR;
		};
	};
};

class RscDisplayRevert
{
	idd = IDD_REVERT;
	movingEnable = false;
	controls[]=
	{
		ButtonOK,
		ButtonCancel
	};
	class ButtonOK : RscActiveMenu
	{
		idc = IDC_OK;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_OK;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = true;
	};
	class ButtonCancel : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		color[] = {1, 1, 1, 1};
		colorBackground = {0, 0, 0, 0.5};
		colorActive[] = {1, 0, 0, 1};
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};

	controlsBackground[]=
	{
		Background1, 
		Background2, 
		Background3
	};
	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};

	objects[]=
	{
		Book
	};
	class Book : RscObject
	{
		model = "kniha6.p3d";
		animation = "kniha2.rtm";
		idc = IDC_REVERT_BOOK;
		type = CT_OBJECT_CONT_ANIM;
		autoOpen = false;
		autoZoom = false;
		animSpeed = 0.5;
		animPhase = 0.6;
		positionBack[] = {-0.5, 0.3, 1.5};	// starting position
		position[] = {0.1, 0.0, 0.8};
		direction[] = {0, -sin 15, cos 15};
		up[] = {0, cos 15, sin 15};
		inBack = false;
		enableZoom = false;
		zoomDuration = 1.0;
		scale=1.0;
		controls[]=
		{
			Title,
			Question
		};
		class Title : Rsc3DTextMenu
		{
			idc = IDC_REVERT_TITLE;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0.0;
			y = 0.0;
			w = 1.0;
			h = 0.08;
			text = $STR_SURE;
			style = ST_CENTER;
		};
		class Question : Rsc3DTextMenu
		{
			idc = IDC_REVERT_QUESTION;
			style = ST_MULTI;
			color[] = {0, 0, 0, 1};
			font = FontBOOK;
			selection = "3.strana";
			x = 0;
			y = 0.1;
			w = 1;
			h = 0.9;
			text = $STR_DISP_REVERT_QUESTION;
			lines = 18;
		};
	};
};

class RscDisplayEmpty
{
	movingEnable = false;
	controls[]=
	{
	};
};

class RscDisplayCampaign : RscDisplayEmpty
{
	idd = IDD_CAMPAIGN;
};

class RscDisplayMission : RscDisplayEmpty
{
	idd = IDD_MISSION;
	objects[]=
	{
		Compass,
		Watch
	};
	class Compass : RscObject
	{
		idc = IDC_MAP_COMPASS;
		type = CT_OBJECT_ZOOM;
		model = "kompas.p3d";
		position[] = {0.026, 0.047, 0.20};
		direction[] = {0, 1, 1.1};
		up[] = {0, 0, -1};
		positionBack[] = {0.0, -0.05, 0.22};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
	class Watch : RscObject
	{
		idc = IDC_MAP_WATCH;
		type = CT_OBJECT_ZOOM;
		model = "kosei.p3d";
		position[] = {0.026, 0.047, 0.20};
		positionBack[] = {0.05, -0.05, 0.22};
		inBack = true;
		enableZoom = true;
		zoomDuration = 0.5;
	};
};

class RscDisplayIntro : RscDisplayEmpty
{
	idd = IDD_INTRO;
};

class RscDisplayOutro : RscDisplayEmpty
{
	idd = IDD_OUTRO;
};

class RscDisplayAward : RscDisplayEmpty
{
	idd = IDD_AWARD;
};

class RscDisplayInterrupt
{
	idd = IDD_INTERRUPT;
	movingEnable = false;
	controls[]=
	{
		Background1,
		Background2,
		Background3,
		Title,
		ButtonOptions,
		ButtonLoad,
		ButtonSave,
		ButtonRetry,
		ButtonAbort,
		ButtonContinue
	};

	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};


	class Title : RscText
	{
		idc = IDC_INT_TITLE;
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.098;
		text = $STR_DISP_ERROR;
	};

	class ButtonOptions : RscActiveMenu
	{
		idc = IDC_INT_OPTIONS;
		x = 0.05;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_OPTIONS;
	};
	class ButtonLoad : RscActiveMenu
	{
		idc = IDC_INT_LOAD;
		x = 0.20;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_LOAD;
	};
	class ButtonSave : RscActiveMenu
	{
		idc = IDC_INT_SAVE;
		x = 0.20;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_SAVE;
	};
	class ButtonRetry : RscActiveMenu
	{
		idc = IDC_INT_RETRY;
		x = 0.55;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_INT_RETRY;
	};
	class ButtonAbort : RscActiveMenu
	{
		idc = IDC_INT_ABORT;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;

		text = $STR_DISP_INT_ABORT; soundClick[] = {"ui\ui_cc", 0.2, 1}; 
		}; class ButtonContinue : RscActiveMenu { idc = IDC_CANCEL; x = 
		0.85; y = 0.90; w = 0.15; h = 0.05; text = 
		$STR_DISP_INT_CONTINUE; default = true; }; };

class RscDisplayMissionEnd
{
	idd = IDD_MISSION_END;
	movingEnable = true;
	controls[]=
	{
		Background1,
		Background2,
		Background3,
		Title,
		Subtitle,
		Quotation,
		Author,
		ButtonLoad,
		ButtonRetry,
		ButtonAbort
	};

	class Background1 : RscText
	{
		x = 0.0;
		y = 0.0;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background2 : RscText
	{
		x = 0.0;
		y = 0.875;
		w = 1;
		h = 0.125;
		text = ;
		colorBackground[] = {0, 0, 0, 1};
	};
	class Background3 : RscText
	{
		x = 0.0;
		y = 0.125;
		w = 1;
		h = 0.75;
		text = ;
		colorBackground[] = {0, 0, 0, 0.5};
	};

	class Title : RscText
	{
		style = ST_CENTER;
		x = 0.2;
		y = 0.02;
		w = 0.6;
		h = 0.1;
		font = FontTITLE;
		colorText[] = {1, 0, 0, 1};
		sizeEx = 0.098;
		text = $STR_MISSION_KILLED;
	};
	class Subtitle : RscText
	{
		idc = IDC_ME_SUBTITLE;
		style = ST_RIGHT;
		x = 0.69;
		y = 0.07;
		w = 0.3;
		h = 0.05;
		font = FontTITLEHalf;
		colorText[] = {1, 1, 1, 1};
		sizeEx = 1.6 * 0.05;
		text = $STR_DISP_ERROR;
	};

	class Quotation: RscText
	{
		idc = IDC_ME_QUOTATION;
		style = ST_MULTI;
		lineSpacing = 1;
		x = 0.15;
		y = 0.88 - 0.125;
		w = 0.6;
		h = 0.12;
		font = FontTITLEHalf;
		sizeEx = 0.8 * 0.05;
		colorText[] = {1, 1, 1, 1};
		text = $STR_DISP_ERROR;
	};
	class Author: RscText
	{
		idc = IDC_ME_AUTHOR;
		style = ST_RIGHT;
		x = 0.2;
		y = 0.92 - 0.125;
		w = 0.7;
		h = 0.1;
		font = FontTITLEHalf;
		sizeEx = 0.8 * 0.05;
		colorText[] = {1, 1, 1, 1};
		text = $STR_DISP_ERROR;
	};

	class ButtonLoad : RscActiveMenu
	{
		idc = IDC_ME_LOAD;
		x = 0.05;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ME_LOAD;
	};
	class ButtonRetry : RscActiveMenu
	{
		idc = IDC_ME_RETRY;
		x = 0.70;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ME_RETRY;
		default = true;
	};
	class ButtonAbort : RscActiveMenu
	{
		idc = IDC_CANCEL;
		x = 0.85;
		y = 0.90;
		w = 0.15;
		h = 0.05;
		text = $STR_DISP_ME_ABORT;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

